## AgsAudioFileManager

AgsAudioFileManager — The audio file manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_AUDIO_FILE_MANAGER_GET_OBJ_MUTEX()
GRecMutex * | ags_audio_file_manager_get_obj_mutex ()
void | ags_audio_file_manager_add_audio_file ()
void | ags_audio_file_manager_remove_audio_file ()
GObject * | ags_audio_file_manager_find_audio_file ()
AgsAudioFileManager * | ags_audio_file_manager_get_instance ()
AgsAudioFileManager * | ags_audio_file_manager_new ()

## Properties

gpointer | audio-file | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsAudioFileManager

## Includes

    #include <ags/audio_file/ags_audio_file_manager.h>

## Description

AgsAudioFileManager stores audio files.

## Functions

### AGS_AUDIO_FILE_MANAGER_GET_OBJ_MUTEX()

    #define AGS_AUDIO_FILE_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsAudioFileManager *) obj)->obj_mutex))

### ags_audio_file_manager_get_obj_mutex ()

    GRecMutex *
    ags_audio_file_manager_get_obj_mutex (AgsAudioFileManager *audio_file_manager);

### ags_audio_file_manager_add_audio_file ()

    void
    ags_audio_file_manager_add_audio_file (AgsAudioFileManager *audio_file_manager,
                                           GObject *audio_file);

Add `audio_file` to `audio_file_manager` .

#### Parameters

audio_file_manager | the AgsAudioFileManager |
audio_file | the AgsAudioFile |

Since: 3.4.0

### ags_audio_file_manager_remove_audio_file ()

    void
    ags_audio_file_manager_remove_audio_file
                                   (AgsAudioFileManager *audio_file_manager,
                                    GObject *audio_file);

Remove `audio_file` from `audio_file_manager` .

#### Parameters

audio_file_manager | the AgsAudioFileManager |
audio_file | the AgsAudioFile |

Since: 3.4.0

### ags_audio_file_manager_find_audio_file ()

    GObject *
    ags_audio_file_manager_find_audio_file
                                   (AgsAudioFileManager *audio_file_manager,
                                    gchar *filename);

Find audio file by `filename` .

#### Parameters

audio_file_manager | the AgsAudioFileManager |
filename | the string identifier |

#### Returns

the matching AgsAudioFile if found, otherwise `NULL`.

[transfer none]

Since: 3.4.0

### ags_audio_file_manager_get_instance ()

    AgsAudioFileManager *
    ags_audio_file_manager_get_instance ();

Get ags audio file manager instance.

#### Returns

the AgsAudioFileManager singleton.

[transfer none]

Since: 3.4.0

### ags_audio_file_manager_new ()

    AgsAudioFileManager *
    ags_audio_file_manager_new ();

Creates an AgsAudioFileManager

#### Returns

a new AgsAudioFileManager

Since: 3.4.0

## Property Details

### The `“audio-file”` property

      “audio-file”               gpointer

The GList containing AgsAudioFile.

Owner: AgsAudioFileManager

Flags: Read / Write

Since: 3.4.0